import request from '@/utils/request'

// 查询算法参数信息列表
export function listParameter(query) {
  return request({
    url: '/uavps/parameter/list',
    method: 'get',
    params: query
  })
}

// 查询算法参数信息详细
export function getParameter(id) {
  return request({
    url: '/uavps/parameter/' + id,
    method: 'get'
  })
}

// 新增算法参数信息
export function addParameter(data) {
  return request({
    url: '/uavps/parameter',
    method: 'post',
    data: data
  })
}

// 修改算法参数信息
export function updateParameter(data) {
  return request({
    url: '/uavps/parameter',
    method: 'put',
    data: data
  })
}

// 删除算法参数信息
export function delParameter(id) {
  return request({
    url: '/uavps/parameter/' + id,
    method: 'delete'
  })
}
